Bug 1043002 (CVE-2013-7110) - CVE-2013-7110 transifex-client: incomplete fix for CVE-2013-2073
Summary: CVE-2013-7110 transifex-client: incomplete fix for CVE-2013-2073
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2013-7110
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1043003 1043004
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-13 17:34 UTC by Vincent Danen
Modified: 2019-09-29 13:11 UTC (History)
4 users (show)

Fixed In Version: transifex-client 0.10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:31:07 UTC


Attachments (Terms of Use)

Description Vincent Danen 2013-12-13 17:34:42 UTC
It was reported [1],[2] that the way the certificate check was implemented to fix CVE-2013-2073 was incorrect.  The check was done on the "probe" connection, but not the actual connection used to transfer data.  This should be fixed in upstream 0.10 version which switches to using urllib3 with properl certificate checks.

A CVE has been requested [4].


[1] https://bugzilla.redhat.com/show_bug.cgi?id=952194#c26
[2] https://github.com/transifex/transifex-client/issues/42
[3] https://github.com/transifex/transifex-client/commit/6d69d61
[4] http://www.openwall.com/lists/oss-security/2013/12/13/5

Comment 1 Vincent Danen 2013-12-13 17:35:41 UTC
Created transifex-client tracking bugs for this issue:

Affects: fedora-all [bug 1043003]
Affects: epel-all [bug 1043004]

Comment 2 Tomas Hoger 2013-12-13 18:10:14 UTC
Note that upstream 0.10 still seems to have an issue with certificate verification.  No verification seems to be performed.

https://github.com/transifex/transifex-client/issues/42#issuecomment-30508945

Comment 3 Murray McAllister 2013-12-16 04:29:17 UTC
This issue was assigned CVE-2013-7110: http://seclists.org/oss-sec/2013/q4/504

Comment 4 Fedora Update System 2014-01-31 20:07:24 UTC
transifex-client-0.10-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2014-01-31 20:09:57 UTC
transifex-client-0.10-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Luis Bazan 2018-09-04 14:24:00 UTC
This was fixed. I can close this BZ?

Regards!

Comment 7 Product Security DevOps Team 2019-06-08 02:31:07 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.